show ssh keys
curl --request GET \
--url https://console.vast.ai/api/v0/ssh/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.vast.ai/api/v0/ssh/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.vast.ai/api/v0/ssh/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"user_id": 123,
"key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]Accounts
show ssh keys
Retrieve a list of SSH keys associated with the authenticated user’s account.
CLI Usage: vastai show ssh-keys
GET
/
api
/
v0
/
ssh
/
show ssh keys
Authorizations
API key must be provided in the Authorization header
Headers
Bearer token for user authentication.
Response
A list of SSH keys.
The unique identifier of the SSH key.
The ID of the user to whom the SSH key belongs.
The SSH public key.
The timestamp when the SSH key was created.
The timestamp when the SSH key was deleted, if applicable.